## privoxy 3.0.10-2

=== debian/changelog ===
privoxy (3.0.10-2) unstable; urgency=low

  * Rebuild for maemo.

 -- Terrence Fleury <terrencegf@gmail.com>  Tue, 14 Oct 2008 10:12:35 -0500

privoxy (3.0.10-1) unstable; urgency=low

  * New upstream version 3.0.10-stable.
  * Install privoxy-log-parser into /usr/bin.
  * Add lintian-override for libtool warnings according pcre, because we
    do not use this version of pcre but the one from libpcre3-dev.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 20 Sep 2008 17:33:30 +0200

privoxy (3.0.9-1) unstable; urgency=low

  * New upstream version 3.0.9-beta.
  * Upgrade all patches to new version:
    - 20_makefile_fixup included upstream.
  * The new version doesn't support PDF documentation any more, so remove
    it from the Debian package.
    -> Stop Build-Depending on htmldoc.
  * The new version doesn't support text/plain documentation any more, so
    remove it from the Debian package.
  * Upgrade to Standards-Version 3.8.0 (no changes)
  * Move documentation from doc-base section Apps/Net to Network/Web Browsing.
  * chown user:group instead of user.group in postinst to be more compatible.
  * 05_defaut_action: unblock qa.debian.org/popcon.php (Closes: #479525).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Jul 2008 22:35:17 +0200

privoxy (3.0.8-1) unstable; urgency=low

  * New upstream release 3.0.8-stable.
  * Upgrade all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 20 Jan 2008 22:19:02 +0100

privoxy (3.0.7-2) unstable; urgency=low

  * Remove trailing space from debian/patches/00list to make lintian happy.
  * postinst: On upgrade from 3.0.6 and below the config file format
    changed: actionsfile now needs filename.action as parameter instead of
    filename. Fix this config file change in postinst if necessary.
    (Closes: #456274).
  * Upgrade to Standards-Version 3.7.3 (no changes).
  * 19_manpage_fixup: Replace "ö" by "\[:o]" in privoxy.8.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 12 Jan 2008 16:02:14 +0100

privoxy (3.0.7-1) unstable; urgency=low

  * New upstream version 3.0.7-beta.
  * Adapt all patches to new version.
  * Enable new zlib feature (Closes: #368448):
    - build-depend on zlib1g-dev
    - disable prevent-compression in 25_standard_medium.dpatch
  * Remove 28_pcre_returncode.dpatch, which is now applied upstream.
  * Remove 23_fix_faq_id.dpatch, which is now applied upstream.
  * Fix Homepage header in control file.
  * 05_defaut_action: disable filter{js-annoyances} for
    http://www.memo.de/ (Closes: #441256).
  * Update debian/watch file based on an idea of Raphael Geissert.
    (Closes: #449643)

 -- Roland Rosenfeld <roland@debian.org>  Tue, 11 Dec 2007 19:34:35 +0100

privoxy (3.0.6-4) unstable; urgency=low

  * Set "enable-remote-http-toggle 0" by default because otherwise
    requests may be able to bypass filtering by setting "X-Filter: No"
    headers using some strange javascript code.
  * Disable default logging of every GET/POST/CONNECT request to protect
    your privacy a bit more.
  * 05_defaut_action: Stop blocking Andorra ccTLD (.ad) (Closes: #445461).
  * Run make clean/distclean only if GNUmakefile exists in debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 21 Oct 2007 12:47:51 +0200

privoxy (3.0.6-3) unstable; urgency=low

  * According to http://wiki.debian.org/AccountHandlingInMaintainerScripts
    removing system users in postrm isn't a good idea. So the removal of
    user privoxy in postrm was disabled and deluser/adduser of existing
    user in postinst was also removed. This should avoid problems with
    purging privoxy if passwd package isn't intalled (Closes: #417015).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 May 2007 21:22:42 +0200

privoxy (3.0.6-2) unstable; urgency=medium

  * 28_pcre_returncode: Don't crash if pcre returns an error code that
    pcrs didn't expect (Closes: #404284).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 23 Dec 2006 21:47:12 +0100

privoxy (3.0.6-1) unstable; urgency=low

  * New upstream release 3.0.6.
    - remove 28_usermanual_slash.dpatch, which is already included
      upstream now.
  * README.Debian: mention that privoxy has to be used as HTTP proxy to
    access http://p.p/ URLs (Closes: #398162).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 20 Nov 2006 19:29:27 +0100

privoxy (3.0.5-beta-3) unstable; urgency=medium

  * Disable the IPv6 patch, because this is seems to have too many bugs
    for a release right now.  
    - This reopens #179461.
    - This solves the problem, that "listen-address :8118" listens on
      localhost only (Closes: #391600).
    - This solves the problem, that regex pattern at front of hostname
      is ignored (Closes: #393605). 
  * Use /usr/share/dpatch/dpatch.make in debian/rules instead of adding
    the content by hand.
  * Extended version of 26_edit_only_writable.dpatch by Fabian Keil.  Now
    shows a message, that the file is write protected.  See SF#1564026.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 22 Oct 2006 11:53:02 +0200

privoxy (3.0.5-beta-2) unstable; urgency=low

  * 27_remove_nsl.dpatch: Remove unnecessary linking against libnsl.
  * 28_usermanual_slash.dpatch: Redirect http://p.p/user-manual (without
    trailing slash) to http://p.p/user-manual/ (with trailing slash),
    otherwise the links will be broken (Closes: #244931).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  7 Oct 2006 13:12:13 +0200

privoxy (3.0.5-beta-1) unstable; urgency=low

  * New upstream version 3.0.5-beta.
  * hide-referrer{foo} now allows everything as a forged referrer not 
    only http/https URLs and ignoring invalid URLs (Closes: #258193).  
  * Fixes the name of the filter from "popups" to "all-popups" in
    user.action. (Closes: #385886).
  * Block http://www.google-analytics.com/urchin.js because this is used
    for cross site user tracking according to
    http://www.google.com/analytics/ (Closes: #340913).
  * Adapted all patches to this version.

