## privoxy 3.0.10-4

=== debian/changelog ===
privoxy (3.0.10-4) unstable; urgency=low

  * Restored the global.action patch. Problem was with extended pattern
    matching compilation option with maemo.

 -- Terrence Fleury <terrencegf@gmail.com>  Thu, 16 Oct 2008 13:20:00 -0500

privoxy (3.0.10-3) unstable; urgency=low

  * Removed the global.action patch since it seems to cause problems.

 -- Terrence Fleury <terrencegf@gmail.com>  Thu, 16 Oct 2008 09:10:30 -0500
