=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,7 @@
 	env CFLAGS="$(OPTIMIZE) -g" \
 		./configure --prefix=/usr --sysconfdir=/etc \
 		--mandir=/usr/share/man	$(WITHDEBUG) \
-		--enable-zlib \
-		--enable-extended-host-patterns
+		--enable-zlib
 	$(MAKE)
 
 	touch build-stamp
@@ -74,9 +73,10 @@
 
 	install -m 0644 config $(CONFDIR)/config
 	install -m 0644 default.action $(CONFDIR)/default.action
-	install -m 0644 neilvandyke.action $(CONFDIR)/neilvandyke.action
+	install -m 0644 global.action $(CONFDIR)/global.action
 	install -m 0644 standard.action $(CONFDIR)/standard.action
 	install -m 0644 user.action $(CONFDIR)/user.action
+	install -m 0644 neilvandyke.action $(CONFDIR)/neilvandyke.action
 	install -m 0644 default.filter $(CONFDIR)/default.filter
 	install -m 0644 user.filter $(CONFDIR)/user.filter
 	install -m 0644 trust $(CONFDIR)/trust
