## privoxy 3.0.10-5

=== debian/changelog ===
privoxy (3.0.10-5) unstable; urgency=low

  * Removed the dependency on libpcre by using privoxy's built-in static pcre.

 -- Terrence Fleury <terrencegf@gmail.com>  Fri, 24 Oct 2008 10:31:00 -0500
