=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: privoxy
-Section: user/web
+Section: user/tools
 Priority: optional
 Maintainer: Terrence Fleury <terrencegf@gmail.com>
-Build-Depends: debhelper (>= 5.0.0), autoconf, autotools-dev, libpcre3-dev,
- dpatch, zlib1g-dev
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 4.0.0), autoconf, autotools-dev, dpatch, zlib1g-dev
+Standards-Version: 3.7.2
 
 Package: privoxy
 Architecture: any
@@ -20,6 +19,7 @@
  Privoxy is based on Internet Junkbuster (tm).
  .
  Homepage: http://www.privoxy.org/
+XB-Maemo-Display-Name: Privoxy
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAABnRSTlMA/wD/AP83
  WBt9AAAACXBIWXMAAA7DAAAOwwHHb6hkAAADKklEQVR4nJ2Vy0sbURjFTzQ2iVaN
