=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	env CFLAGS="$(OPTIMIZE) -g" \
 		./configure --prefix=/usr --sysconfdir=/etc \
 		--mandir=/usr/share/man	$(WITHDEBUG) \
+		--disable-dynamic-pcre \
 		--enable-zlib
 	$(MAKE)
