## privoxy 3.0.17

=== debian/changelog ===
privoxy (3.0.17) unstable; urgency=low

  * Port of privoxy-3.0.17-stable to Maemo5
  * Source was at : http://sourceforge.net/projects/ijbswa/files/Sources/3.0.17%20%28stable%29/
  * See also : http://www.privoxy.org/
  * Optification :
  - Removed dependency on perl - not useful for most users, saves some rootfs
  - Installs into /opt/privoxy
  - /etc/privoxy -> /opt/privoxy
  - /usr/sbin/privoxy -> /opt/privoxy/privoxy
  - /usr/bin/privoxy-log-parser -> /opt/privoxy/privoxy-log-parser
  
 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 14 Nov 2011 02:10:18 +0200
