## privoxy 3.0.17-1

=== debian/changelog ===
privoxy (3.0.17-1) unstable; urgency=low

  * Small bug-fix in the postinst and postrm scripts in order to allow upgrades / reinstalls
  
 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 14 Nov 2011 18:00:18 +0200
