=== debian/control ===
--- 
+++ 
@@ -18,5 +18,27 @@
  has application for both stand-alone systems and multi-user networks.
  .
  Privoxy is based on Internet Junkbuster (tm).
- This is a port to Maemo5.
+ .
+ Homepage: http://www.privoxy.org/
+XB-Maemo-Display-Name: Privoxy
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAABnRSTlMA/wD/AP83
+ WBt9AAAACXBIWXMAAA7DAAAOwwHHb6hkAAADKklEQVR4nJ2Vy0sbURjFTzQ2iVaN
+ Yu0QTVOtxtpWEAUtQlHBalCKLly40VKMhYpLQf0DFKm4Fmu0dGGFbnyA+Ebqovgi
+ EEF84CNqhfjA6CS+onH6DSOpTMbn4ZLcuffOb85898yMnOM4SOhnaqpucjINkHnP
+ BQYusOxv4LP3lNx7aGamt7/ftbmplWSRTk+Z+npFYmKXwVBwA44uaAd2x8fPqqq+
+ SIIEuVzBNTUfS0q6DYZGIBZQAtkinLmi4nhgIAG4YNnHdCyT8U1SVB5qXV3vYmPj
+ AV+dzjY8PCgQPbizzc2QpaUXwgHDcLm50OngXVi6xs4OenuxuhrKsqE0cn5Ol50V
+ uZtVKqM95zAMioqQlibtbnUVBwdwOnku6dEjN7AAfLjEzc93NzaGTUw895zg4wOV
+ 6rrSISoK5eXQajmTSba9DZstrKwstrCwKyenQO52/7Jal02mGu8CCVpfx9oa3G6+
+ 7+eH6GhqstRUssa1t/ODLBtiMuVrtT+ysr7J1eoEtzvjWiegkqOjA8fHfF+tRmkp
+ ios5oYhXVVub39CwJXc6429gkWw2zM7KLi74vr8/b0pkX5DLpaYmEWORwsOh13Mn
+ J3w/OBihoTctvh1HidHr+dqRHYUCcXHkUXZ0xNF2PQRHLGpXRazFRUxPQ7B8D5xg
+ RDS4sYHmZvT1YWvrnjhiTU3BYqHoX47QhhJldJQCJPEM3n6zQ0Noa5PRfXmSQXVk
+ WenFt+MOD/ms3FHy5OQ/Dod6cfHVdStoB5VKiaqLFBGxxjB/5dPTjrGxsfR0/V2c
+ 3qCKitHqagUhcmJifFpavjc1vTWbEx4ACg+31dZ2pqQ8A/J4RxrNe6Oxc3h432x+
+ iC+12mE0EicPV27wqdP5P+a0iZ7QX/dO9sjp9CWLQt+DC8rIWFYqx+lZXlkJsdsT
+ 5ua4gADY7XzKJPchKsqalGQFVAyzD4SIcG8qK+mX4rTX1rZQWvq6rs4nKIhPr3f0
+ BWVmWlpb94CXwBMgSYTjicKfwTA4MvLVaMy3WKTfXSrVTk+PKTKSsvVJNCURDo0m
+ W6O5CAuz0zdBUr6+u1lZ9JHK9576ByujKPbhMvzlAAAAAElFTkSuQmCC
