=== debian/rules ===
#!/usr/bin/make -f
# (C) 2011 Loic Burtin <speedoflight@hotmail.fr> for the Maemo5 port,
# based on the Debian package by Roland Rosenfeld.
#
# (C) 2002-2008 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEBDIR=`pwd`/debian/privoxy

OPTIMIZE=
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        OPTIMIZE=-O0
else
        OPTIMIZE=-O2
endif


build: build-stamp

build-stamp:
	dh_testdir

	autoheader
	autoconf
	env CFLAGS="$(OPTIMIZE) -g" \
		./configure --prefix=/usr --sysconfdir=/etc
	$(MAKE)

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f GNUmakefile ] || $(MAKE) clean
	[ ! -f GNUmakefile ] || $(MAKE) distclean
	rm -f configure config.h GNUmakefile
	rm -f privoxy.8

	rm -rf obj
	rm -f ActivityConsole.jar
	rm -f src/java/org/privoxy/activityconsole/*.class

	rm -f doc/source/ldp.dsl
	rm -rf doc/source/temp

	dh_clean -Xrc.privoxy.orig
	
install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -Xrc.privoxy.orig
	dh_installdirs

	install -m 755 -D privoxy $(DEBDIR)/opt/privoxy/privoxy

	install -m 644 -D config $(DEBDIR)/opt/privoxy/config
	install -m 644 -D default.action $(DEBDIR)/opt/privoxy/default.action
	install -m 644 -D match-all.action $(DEBDIR)/opt/privoxy/match-all.action
	install -m 644 -D user.action $(DEBDIR)/opt/privoxy/user.action
	install -m 644 -D default.filter $(DEBDIR)/opt/privoxy/default.filter
	install -m 644 -D trust $(DEBDIR)/opt/privoxy/trust

	install -m 755 -D tools/privoxy-log-parser.pl \
		$(DEBDIR)/opt/privoxy/privoxy-log-parser

	cp -r templates $(DEBDIR)/opt/privoxy/
	rm -f $(DEBDIR)/opt/privoxy/templates/*~
	rm -rf $(DEBDIR)/opt/privoxy/templates/CVS


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-stamp install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
#	dh_installdocs -XCVS
#	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
#	 mv privoxy-index.html index.html)
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl (SAVES LOT OF ROOTFS)
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
