## privoxy 3.0.17-2

=== debian/changelog ===
privoxy (3.0.17-2) unstable; urgency=low

  * Bug-fix in the rules script and control file (missing zlib support)

 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 14 Nov 2011 19:00:18 +0200
