=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: optional
 Maintainer: Loic Burtin <speedoflight@hotmail.fr>
-Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libpcre3-dev
+Build-Depends: debhelper (>= 5), autoconf, autotools-dev, libpcre3-dev, zlib1g-dev
 Standards-Version: 3.7.2
 Homepage: http://www.privoxy.org/
