=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,9 @@
 	autoheader
 	autoconf
 	env CFLAGS="$(OPTIMIZE) -g" \
-		./configure --prefix=/usr --sysconfdir=/etc
+		./configure --prefix=/usr --sysconfdir=/etc \
+		--disable-dynamic-pcre \
+		--enable-zlib
 	$(MAKE)
 
 	touch build-stamp
