## privoxy 3.0.19

=== debian/changelog ===
privoxy (3.0.19-2+deb7u3) wheezy-security; urgency=high

  * 40_CVE-2016-1982: Prevent invalid reads in case of corrupt
    chunk-encoded content.
  * 41_CVE-2016-1983: Remove empty Host headers in client requests.
    Previously they would result in invalid reads.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Jan 2016 17:51:41 +0100

privoxy (3.0.19-2+deb7u2) wheezy-security; urgency=medium

  * 38_CVE-2015-1381: multiple segmentation faults and memory leaks in the
    pcrs code.
  * 39_CVE-2015-1382: invalid read.
  * These 2 patches Closes: #776490 in wheezy.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 28 Jan 2015 20:33:47 +0100

privoxy (3.0.19-2+deb7u1) stable-security; urgency=medium

  * 35_CVE-2015-1031-CID66394: unmap(): Prevent use-after-free if the map 
    only consists of one item.  CID 66394.
  * 36_CVE-2015-1031-CID66376: pcrs_execute(): Consistently set *result to
    NULL in case of errors.  Should make use-after-free in the caller less
    likely.  CID 66391, CID 66376.
  * These 2 patches Closes: #775167.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Jan 2015 17:20:15 +0100

privoxy (3.0.19-2) unstable; urgency=low

  * Migrate from dpatch to 3.0 (quilt) format.
  * Reformat all patches.
  * Change build depenency from dpatch to debhelper (>= 9).
  * Change debian/compat to "9".
  * Complete rewrite of debian/rules.
  * Now uses hardening via debhelper.
  * Remove README.source.
  * Update to Standards-Version 3.9.3 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 18 May 2012 21:24:55 +0200

privoxy (3.0.19-1) unstable; urgency=low

  * New upstream version 3.0.19-stable.
  * Adapt all patches to new version.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 27 Dec 2011 11:19:53 +0100

privoxy (3.0.18-1) unstable; urgency=low

  * New upstream version 3.0.18-stable.
  * Adapt all patches to new version.
  * Add build-targets build-arch and build-indep.
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * 29_typo: most old typos are fixed now, but lintian found new ones.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 21 Nov 2011 19:29:06 +0100

privoxy (3.0.16-1) unstable; urgency=low

  * New upstream version 3.0.16-stable.
  * Adapt all patches to the new version.
  * 30_localhost_fixup: removed, since this should no longer be necessary.
  * 31_handle-as-empty-doc-returns-ok: now included upstream.
  * 32_bind_fixup: Work around bind problems on startup (Closes: #534735).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 18 May 2010 10:14:18 +0200

privoxy (3.0.15-3) unstable; urgency=low

  * Add Build-Dependency on docbook because docbook-xml which may be
    chained via docbook-dsssl as an alternative to docbook may not be
    enough on a unclean build environment. This should now also build on
    the mips buildd.
  * 31_handle-as-empty-doc-returns-ok: Patch from SourceForge that work2
    around Firefox bug to wait forever if proxy returns a failure status
    code in response to the CONNECT (Closes: #561126).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Dec 2009 11:30:29 +0100

privoxy (3.0.15-2) unstable; urgency=low

  * 30_localhost_fixup: Remove workaround for "localhost" listen-address,
    which should solve all problems with privoxy not starting. 
    (Closes: #534735).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 13 Dec 2009 10:09:11 +0100

privoxy (3.0.15-1) unstable; urgency=low

  * New upstream version 3.0.15-beta.
  * Adapted all patches to the new upstream version.
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Upgrade to Standards-Version 3.8.3 (no changes).
  * 29_typos: fix some common typos.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Nov 2009 14:22:31 +0100

privoxy (3.0.14-1) unstable; urgency=low

  * New upstream version 3.0.14-beta.
  * Adapted all patches to the new upstream version.
  * --enable-no-gifs (uses PNG instead of GIF in replacement files).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 26 Jul 2009 12:06:00 +0200

privoxy (3.0.13-1) unstable; urgency=low

  * New upstream version 3.0.13-beta.
  * Adapted all patches to the new upstream version.
  * Removed 03_ipv6, because IPv6 is now supported upstream.
  * Upgrade to Standards-Version 3.8.1 (no changes)
  * Fix matcha-all.action typo in debian/postinst (Closes: #534270).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 23 Jun 2009 15:09:08 +0200

privoxy (3.0.12-2) unstable; urgency=low

  * 03_ipv6: Use s6_addr instead of in6_u, which is not portable.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Mar 2009 21:41:20 +0100

privoxy (3.0.12-1) unstable; urgency=low

  * New upstream version 3.0.12-stable.
  * Adapt all patches to new upstream version.
  * Remove 30_quiet_start, because this is provided upstream now.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 25 Mar 2009 13:27:30 +0100

privoxy (3.0.11-1) unstable; urgency=low

  * New upstream version 3.0.11-stable.
  * 19_manpage_fixup incorporated upstream now.
  * 24_global_action is incorporated upstream in a similar way.
  * postinst: try to make removal of standards.action and global.action
    and new file match-all.action smooth to a user who does not want to
    modify his config file.
  * 30_quiet_start: Suppress INFO log messages on stderr at program startup.
  * Stop redirecting stderr to errorlog file but print all config file
    errors to stderr at startup.  This closes the stderr filehandle since
    upstream fixed the behavior in jcc.c 1.153.
    This also solves the problem, that syntax errors in config file
    weren't noticed, cause they are written to the console on start now
    (Closes: #375174)
  * Modify init.d script to be more lsb compliant.
    Depends on lsb-base (>= 3.2-13) 
  * Allow disabling privoxy via RUN_DAEMON=no in /etc/default/privoxy.
    (Closes: #482563).
  * Update README.Debian to fit all changes.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 22 Feb 2009 22:07:08 +0100


