## privoxy 3.0.20

=== debian/changelog ===
privoxy (3.0.20-1) unstable; urgency=low

  * New upstream version 3.0.20-beta.
  * Update all patches.
  * Remove 29_typos, which is incorporated upstream now.
  * 33_manpage_hyphen: Replace all -- in man page by \-\- to make lintian
    happy.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 24 Jan 2013 17:40:51 +0100
