=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libpcre3-dev,
- jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev
-Standards-Version: 3.9.3
+ jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev,
+ dh-systemd (>= 1.4)
+Standards-Version: 3.9.5
 Homepage: http://www.privoxy.org/
 
 Package: privoxy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, logrotate,
- adduser, lsb-base (>= 3.2-13)
+ adduser, lsb-base (>= 3.2-13), initscripts (>= 2.87dsf-8)
 Recommends: doc-base
 Description: Privacy enhancing HTTP Proxy
  Privoxy is a web proxy with advanced filtering capabilities for
