=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,17 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2012 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2014 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 DEBDIR=`pwd`/debian/privoxy
 
 %:
-	dh  $@
+	dh $@ --with autotools_dev --with systemd
 
 override_dh_auto_configure:
 	autoheader
