## privoxy 3.0.23

=== debian/changelog ===
privoxy (3.0.23-3) unstable; urgency=medium

  * Since there are no new bugs found, this goes to unstable now.
  * Depend on perl-base instead of full perl.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 26 Apr 2015 11:01:08 +0200

privoxy (3.0.23-2) experimental; urgency=low

  * Fix cleanup to allow build twice in a row.
  * Preserve auto build configuration from source package.
  * This version checks and fails if the config file has erros
    (Closes: #518006).
  * init script is no longer silent (Closes: #543811).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 31 Jan 2015 12:31:26 +0100

privoxy (3.0.23-1) experimental; urgency=low

  * New upstream version 3.0.23-stable.
  * Update all patches.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 26 Jan 2015 14:15:47 +0100

privoxy (3.0.22-1) unstable; urgency=low

  * New upstream version 3.0.22-stable.
  * Update all patches.
  * Upgrade to Standards-Version 3.9.5 (no changes).
  * Add upstream GPG signature check.
  * Convert debian/copyright to DEP5.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 16 Nov 2014 18:38:40 +0100

privoxy (3.0.16-1+deb6u1) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * Thanks to Roland Rosenfeld for maintaining privoxy and preparing these
    patches:
    - 35_CVE-2015-1031-CID66394: unmap(): Prevent use-after-free if the map
      only consists of one item.  CID 66394.
    - 36_CVE-2015-1031-CID66376: pcrs_execute(): Consistently set *result to
      NULL in case of errors.  Should make use-after-free in the caller less
      likely.  CID 66391, CID 66376.
    - 38_CVE-2015-1381: multiple segmentation faults and memory leaks in the
      pcrs code.
    - 39_CVE-2015-1382: invalid read.

 -- Holger Levsen <holger@debian.org>  Wed, 28 Jan 2015 19:44:30 +0100
