=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libpcre3-dev,
  jade, docbook-dsssl, docbook, w3m, sp, sgmlspl, groff, man2html, zlib1g-dev,
  dh-systemd (>= 1.4)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.privoxy.org/
 
 Package: privoxy
