=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (c) 2002-2014 Roland Rosenfeld <roland@debian.org>
+# (c) 2002-2015 Roland Rosenfeld <roland@debian.org>
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -26,12 +26,18 @@
 
 override_dh_auto_build:
 	$(MAKE)
+# 	preserve auto build documentation from source package:
+	tar cf debian/doc.tar README INSTALL AUTHORS doc/source doc/webserver
 	$(MAKE) dok
 	rm -f doc/webserver/user-manual/*.bak
 	env -u LANG $(MAKE) man
 	$(MAKE) man2html
 
-override_dh_clean:
+override_dh_auto_clean:
+#	restore auto build documentation from source package:
+	[ ! -f debian/doc.tar ] || tar xf debian/doc.tar
+	rm -f debian/doc.tar
+	find doc/source -name \*.html | xargs -r rm -f
 	[ ! -f GNUmakefile ] || $(MAKE) clean
 	[ ! -f GNUmakefile ] || $(MAKE) distclean
 	rm -f configure config.h GNUmakefile
@@ -77,3 +83,7 @@
 	dh_installdocs -XCVS
 	(cd $(DEBDIR)/usr/share/doc/privoxy/; \
 	 mv privoxy-index.html index.html)
+
+override_dh_perl:
+#	We only need perl-base:
+	dh_perl -d
