## privoxy 3.0.24

=== debian/changelog ===
privoxy (3.0.24-1) unstable; urgency=medium

  * New upstream version 3.0.24.
  * This fixes CVE-2016-1982 and CVE-2016-1983.
  * Adapt all patches to new upstream version.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 22 Jan 2016 16:08:05 +0100

privoxy (3.0.23-5) unstable; urgency=medium

  * Remove /lib/init/vars.sh from init script since it is no longer used.
    As a consequence remove initscripts dependency (Closes: #804961).
  * --enable-external-filters (Closes: #805296).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 16 Nov 2015 21:05:41 +0100

privoxy (3.0.23-4) unstable; urgency=medium

  * Add rotate option to init.d script.
  * Change logrotate to use rotate option (Closes: #783399).
  * privoxy.service: define SuccessExitStatus=15.
  * Set locales to C.UTF-8 for doc generation to make build reproducible.
  * Run wrap-and-sort.
  * 34_system-docbook2man: Use Debian docbook2man-spec.pl (from
    docbook-utils) instead of local copy, to make package reproducible.
  * Stop runing "make man2html", since this overrides "make man", which
    should work reproducible.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 Sep 2015 15:05:41 +0200
