=== debian/rules ===
--- 
+++ 
@@ -22,16 +22,16 @@
 		--mandir=/usr/share/man \
 		--enable-zlib \
 		--enable-no-gifs \
+		--enable-external-filters \
 		--with-docbook=/usr/share/sgml/docbook/stylesheet/dsssl/modular
 
 override_dh_auto_build:
 	$(MAKE)
 # 	preserve auto build documentation from source package:
 	tar cf debian/doc.tar README INSTALL AUTHORS doc/source doc/webserver
-	$(MAKE) dok
+	env -u LANG LC_ALL=C.UTF-8 $(MAKE) dok
 	rm -f doc/webserver/user-manual/*.bak
-	env -u LANG $(MAKE) man
-	$(MAKE) man2html
+	env -u LANG LC_ALL=C.UTF-8 $(MAKE) man
 
 override_dh_auto_clean:
 #	restore auto build documentation from source package:
